powerOne for BlackBerry Help

This page includes additional help and information for our powerOne for BlackBerry smartphones products.

Requirements

A non-touchscreen BlackBerry smartphone running OS version 4.2 or later:
- Tour, Bold, Curve, and Pearl
- 88xx, 87xx, 71xx
- powerOne does not support touchscreen devices but will run on devices with a touch screen and keyboard. It will not run on the Storm and is not recommended for the Torch.

Documentation

The documentation for this product is online:

Other Topics

Installing
Removing
Compare powerOne Versions
Problem: Resetting to Trial Version